---
title: update-organization-team-directory-sync-mode
product: vercel
url: /docs/rest-api/sdk/organizations/update-organization-team-directory-sync-mode
canonical_url: "https://vercel.com/docs/rest-api/sdk/organizations/update-organization-team-directory-sync-mode"
last_updated: 2026-11-19
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about update-organization-team-directory-sync-mode on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
search_with_vercel_cli: npx vercel@latest docs search "<query>"
---

# Update Organization Team Directory Sync Mode

```http
PUT /v1/organizations/{organizationId}/teams/{targetTeamId}/dsync
```

Select whether one Organization team's memberships are governed by the Organization's Directory Sync or by the team's own directory. The team's own directory connection is kept either way.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `organizationId` | string | Yes |  |
| `targetTeamId` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `slug` | string | No |  |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |


## Request body

Required: No

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "dsyncMode"
  ],
  "properties": {
    "dsyncMode": {
      "type": "string",
      "description": "Whether the Organization's Directory Sync or the team's own directory governs the team's memberships.",
      "enum": [
        "organization",
        "team"
      ]
    }
  }
}
```

## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.organizations.putOrganizationTeamDsync({
    organizationId: "<id>",
    targetTeamId: "<id>",
    slug: "my-team-url-slug",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
  });

  console.log(result);
}

run();
```

## Example response

```json
{
  "dsyncMode": "organization",
  "organizationId": "example_id",
  "teamId": "example_id"
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "dsyncMode",
    "organizationId",
    "teamId"
  ],
  "properties": {
    "dsyncMode": {
      "type": "string",
      "enum": [
        "organization",
        "team"
      ]
    },
    "organizationId": {
      "type": "string"
    },
    "teamId": {
      "type": "string"
    }
  }
}
```

### 400: One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

---

## Related

- [organizations endpoints](/docs/rest-api#organizations)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

## Search the docs from your terminal

Search the Vercel docs and read pages as Markdown with the Vercel CLI. No login required.

```bash
# Find docs pages by keyword
npx vercel@latest docs search "environment variables"
npx vercel@latest docs search "function timeout"

# Print a docs page as Markdown, by path or URL
npx vercel@latest docs inspect <page>
```

---

[View full sitemap](/docs/sitemap)


If you encounter incorrect information, can’t find what you need, need a capability Vercel doesn’t currently offer, or have any other feedback to report, please do it by following the instructions at https://vercel.com/feedback.md.
